Install our app 🪄 click on the icon in the top right of the address bar.

Incidents

GET https://pulse.utilityhub.co/api/incidents/
curl --request GET \
--url 'https://pulse.utilityhub.co/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: comment.
datetime_field Optional String Allowed values: start_datetime, end_datetime, last_failed_check_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "monitor_id": 0,
            "start_monitor_log_id": 0,
            "end_monitor_log_id": 0,
            "heartbeat_id": 13,
            "start_heartbeat_log_id": 264,
            "end_heartbeat_log_id": 0,
            "start_datetime": "2026-04-15 01:45:01",
            "end_datetime": null,
            "last_failed_check_datetime": null,
            "failed_checks": 5,
            "notification_handlers_ids": [1,2,3],
            "comment": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pulse.utilityhub.co/api/incidents?page=1",
        "last": "https://pulse.utilityhub.co/api/incidents?page=1",
        "next": null,
        "prev": null,
        "self": "https://pulse.utilityhub.co/api/incidents?page=1"
    }
}
GET https://pulse.utilityhub.co/api/incidents/{incident_id}
curl --request GET \
--url 'https://pulse.utilityhub.co/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "monitor_id": 0,
        "start_monitor_log_id": 0,
        "end_monitor_log_id": 0,
        "heartbeat_id": 13,
        "start_heartbeat_log_id": 264,
        "end_heartbeat_log_id": 0,
        "start_datetime": "2026-04-15 01:45:01",
        "end_datetime": null,
        "last_failed_check_datetime": null,
        "failed_checks": 5,
        "notification_handlers_ids": [1,2,3],
        "comment": null
    }
}
POST https://pulse.utilityhub.co/api/incidents/{incident_id}
Parameters Details Description
comment Optional String -
curl --request POST \
--url 'https://pulse.utilityhub.co/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pulse.utilityhub.co/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://pulse.utilityhub.co/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \